{ nixpkgs ? <nixpkgs>
, icon-charm ? { outPath = ../icon-charm; }
}:
let
  pkgs = import nixpkgs {};
in
{
  icon-charm-gcc12 = pkgs.callPackage ./derivation.nix {
    inherit pkgs;
    src = icon-charm;
    cc = pkgs.gfortran12;
    cxx = pkgs.gfortran12;
    f77 = pkgs.gfortran12;
  };
  icon-charm-gcc11 = pkgs.callPackage ./derivation.nix {
    inherit pkgs;
    src = icon-charm;
    cc = pkgs.gfortran11;
    cxx = pkgs.gfortran11;
    f77 = pkgs.gfortran11;
  };
}
